SRD Standelone programmation box: tDeviceClock Struct Reference

| SRD Standelone programmation box 2.0 (16/11/15 10:00:00) Documentation of the SRD standelone programmation box

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Data Fields
tDeviceClock Struct Reference

Define clock source. More...

`#include "DSP_mkl16z256vlh4.h"`

## Data Fields

unsigned long | MCGIRCLKClockFreq
unsigned long | coreClockFreq
unsigned long | platformClockFreq
unsigned long | systemClockFreq
unsigned long | busClockFreq
unsigned long | flashClockFreq
unsigned long | masterPeripheralClockFreq
unsigned long | OSCERCLKClockFreq
unsigned long | ERCLK32KClockFreq
unsigned long | LowPowerOscillatorFreq
unsigned long | RtcClockOutFreq

## Detailed Description

Define clock source.

Definition at line 345 of file DSP_mkl16z256vlh4.h.

## Field Documentation

unsigned long tDeviceClock::busClockFreq

bus clock

Definition at line 350 of file DSP_mkl16z256vlh4.h.

Referenced by DeviceClockSwitchDefaultFEI(), and DeviceClockSwitchHighPower().

unsigned long tDeviceClock::coreClockFreq

Core clock

Definition at line 347 of file DSP_mkl16z256vlh4.h.

Referenced by DeviceClockSwitchDefaultFEI(), and DeviceClockSwitchHighPower().

unsigned long tDeviceClock::ERCLK32KClockFreq

ERCLK32K

Definition at line 354 of file DSP_mkl16z256vlh4.h.

Referenced by DeviceClockSwitchDefaultFEI(), and DeviceClockSwitchHighPower().

unsigned long tDeviceClock::flashClockFreq

Flash clock

Definition at line 351 of file DSP_mkl16z256vlh4.h.

Referenced by DeviceClockSwitchDefaultFEI(), and DeviceClockSwitchHighPower().

unsigned long tDeviceClock::LowPowerOscillatorFreq

LPO clock

Definition at line 355 of file DSP_mkl16z256vlh4.h.

Referenced by DeviceClockSwitchDefaultFEI(), and DeviceClockSwitchHighPower().

unsigned long tDeviceClock::masterPeripheralClockFreq

Master peripheral clock

Definition at line 352 of file DSP_mkl16z256vlh4.h.

Referenced by DeviceClockSwitchDefaultFEI(), and DeviceClockSwitchHighPower().

unsigned long tDeviceClock::MCGIRCLKClockFreq

MCGIRCLK

Definition at line 346 of file DSP_mkl16z256vlh4.h.

Referenced by DeviceClockSwitchDefaultFEI(), and DeviceClockSwitchHighPower().

unsigned long tDeviceClock::OSCERCLKClockFreq

OSCERCLK

Definition at line 353 of file DSP_mkl16z256vlh4.h.

Referenced by DeviceClockSwitchDefaultFEI(), and DeviceClockSwitchHighPower().

unsigned long tDeviceClock::platformClockFreq

Platform clock

Definition at line 348 of file DSP_mkl16z256vlh4.h.

Referenced by DeviceClockSwitchDefaultFEI(), and DeviceClockSwitchHighPower().

unsigned long tDeviceClock::RtcClockOutFreq

RTCCLKOUT

Definition at line 356 of file DSP_mkl16z256vlh4.h.

Referenced by DeviceClockSwitchDefaultFEI(), and DeviceClockSwitchHighPower().

unsigned long tDeviceClock::systemClockFreq

System clock

Definition at line 349 of file DSP_mkl16z256vlh4.h.

Referenced by DeviceClockSwitchDefaultFEI(), and DeviceClockSwitchHighPower().

The documentation for this struct was generated from the following file:

- DSP_mkl16z256vlh4.h